Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.graph
Interface GraphManager

All Superinterfaces:
  GraphChangeHandler

All Known Implementing Classes:
  GraphMap, ObjectStore

    public interface GraphManager

extends GraphChangeHandler

Represents a generic "managed" graph with nodes mapped by their ids. Inherited GraphChangeHandler methods are intended as callbacks for graph node objects to notify graph of their changes.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`java.lang.Object` | `getNode(java.lang.Object nodeId)` Returns a graph node given an id.
`java.util.Collection` | `registeredNodes()` Returns all graph nodes regsitered with GraphManager.
`void` | `registerNode(java.lang.Object nodeId, java.lang.Object nodeObject)` "Registers" a graph node, usually striong the node in some internal map using its id as a key.
`java.lang.Object` | `unregisterNode(java.lang.Object nodeId)` "Unregisters" a graph node, forgetting any information associated with nodeId.

Methods inherited from interface org.objectstyle.cayenne.graph.GraphChangeHandler
`arcCreated, arcDeleted, nodeCreated, nodeIdChanged, nodePropertyChanged, nodeRemoved`

Method Detail

### getNode

    java.lang.Object getNode(java.lang.Object nodeId)

  Returns a graph node given an id.

### registerNode

    void registerNode(java.lang.Object nodeId,
                      java.lang.Object nodeObject)

  "Registers" a graph node, usually striong the node in some internal map using its id as a key.

### unregisterNode

    java.lang.Object unregisterNode(java.lang.Object nodeId)

  "Unregisters" a graph node, forgetting any information associated with nodeId.

### registeredNodes

    java.util.Collection registeredNodes()

  Returns all graph nodes regsitered with GraphManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.